Name:           tegrarcm
Version:        1.7
Release:        1%{?dist}
Summary:        Send code to a Tegra device in recovery mode

# Most of the code here is BSD, except for the firmware in
# tegra20-miniloader.h and tegra30-miniloader.h, which is under
# specific licensing that is acceptable under the Fedora Binary
# Firmware Exception:
# https://fedoraproject.org/wiki/Licensing#Binary_Firmware
# See "LICENSE" for details.
License:        BSD and and Redistributable, no modification permitted
URL:            https://github.com/NVIDIA/tegrarcm
Source0:        https://github.com/NVIDIA/tegrarcm/archive/v%{version}.tar.gz

BuildRequires:  libtool

BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(cryptopp)


%description
This program is used to send code to a Tegra device in recovery mode.
It does not supported locked devices with an encrypted boot key, only
open devices such as the ventana, cardhu, or dalmore reference boards.
It is not capable of flashing firmware to a device, but can be used to
download firmware that is then capable of flashing.  For example in
ChromeOS tegrarcm is used to download a special build of u-boot to the
target Tegra device with a payload that it then flashes to the boot
device.


%prep
%setup -q
./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%doc README LICENSE
%{_bindir}/tegrarcm
%{_mandir}/man1/tegrarcm.1.*

%changelog
* Tue Oct 20 2015 Nicolas Chauvet <kwizart@gmail.com> - 1.7-1
- Update to 1.7

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.6-4
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.6-1
- Update to 1.6

* Tue Apr 08 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.5-2
- Backport ODM_SECURE patch

* Tue Mar 04 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.5-1
- Update to 1.5

* Sat Oct 05 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.4-1
- Update to 1.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.3-1
- Update to 1.3

* Sat Apr 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.2-1
- Initial package

